//
// File: hiScore.cc
// Created by: Joni Valtanen <jvaltane@lpt.fi>
// Created on: Sun Nov 21 01:32:40 2004
//

#include "hiScore.h"


hiScore::hiScore()
{
	int i;
	for(i=0;i<MAX_HISCORES;i++)
	{
		hs[i].score=0;		
		hs[i].name[0]=0;
	}
#ifdef DEBUG
	cout << "hiscore conts" << endl;
#endif
}

hiScore::~hiScore()
{
	// TODO: put destructor code here
}

// returns pointer to the wanted name
// 
// in: number of the player
// out: pointer to the name
char* hiScore::getName(int i)
{
	return hs[i].name;
}

// returns wanted score
// 
// in: number of hiscore person
// out: score
int hiScore::getScore(int i)
{
	return hs[i].score;
	
}

// adds player to list in right place (best first)
//
// in: name, score
// out: allways true
bool hiScore::setHiscore(char name[MAX_TEXT], int score, int i)
{
	if(score > hs[MAX_HISCORES-1].score)
	{
		strcpy(hs[MAX_HISCORES-1].name,name);
		hs[MAX_HISCORES-1].score = score;
	}
	sortHiscores();
	
	return true;
}

// sorts hiscores
void hiScore::sortHiscores(void)
{
	int i,j,stmpi;
	char ntmp[MAX_TEXT];
	
	for(i=0;i<MAX_HISCORES;i++)
		for(j=0;j<MAX_HISCORES;j++)
		{
			if(hs[j].score < hs[i].score)
			{
				stmpi = hs[j].score;
				hs[j].score = hs[i].score;
				hs[i].score = stmpi;
				
				strcpy(ntmp,hs[j].name);
				strcpy(hs[j].name, hs[i].name);
				strcpy(hs[i].name,ntmp);
			}
		}
		
}
