//
// File: mYatzee.h
// main loops
//
// Created by: Joni Valtanen <jvaltane@lpt.fi>
// Created on: Sat Oct 30 22:01:01 2004
//
//
// GNU General Public Licence version 2 - Read COPYING from the package
//

#ifndef _MYATZEE_H_
#define _MYATZEE_H_

#include <iostream>
using namespace std;

#include "mSDL.h"
#include "file.h"
#include "hiScore.h"
#include "game.h"

//#include "player.h"

class mYatzee
{
	private:
		mSDL* msdl; //pointer to mSDL-class
		file* mfile; // pointer to file-class
	
		hiScore* yHiscore;
		game *yGame; // pointer to game-class
	
		string pn_main, pn_game, pn_config;
	public:
		mYatzee();
		 ~mYatzee();
		int startEngine();
	
	protected:
		int startGame();
		int configGame();

};


#endif	//_MYATZEE_H_
