//
// File: button.h
// Created by: Joni Valtanen <jvaltane@lpt.fi>
// Created on: Mon Nov  1 23:44:40 2004
//
//
// GNU General Public Licence version 2 - Read COPYING from the package
//

#ifndef _BUTTON_H_
#define _BUTTON_H_

#include <SDL.h>
#include <SDL_image.h>

#include <iostream>
using namespace std;


class button
{
	private:
		SDL_Surface* image_d;
		SDL_Surface* image_u;
		int x, y, w, h;
		bool pressed; // is pressed down
		bool released; //is button released
		// bool down;
	public:
		button();
		button( int x_pos, int y_pos,const char* up_image,const char* down_image);
		 ~button();
//		void getPosition();
		bool isPressed(int mx, int my, SDL_Surface* screen);
		bool isReleased(int mx, int my, SDL_Surface* screen);
		void update(SDL_Surface* destination);
		void moveTo(int x_pos, int y_pos);
		// button interface
	
		// TODO: add member function declarations...
	
	protected:
		// button variables
	
		// TODO: add member variables...
	
};


#endif	//_BUTTON_H_
